import QtQuick
import QtQuick.Controls
import Generated.DesignSystem

Rectangle {
    id: infoPanel
    width: 120
    height: 120
    color: "transparent"
    property alias panelTitleText: panelTitle.text
    property alias counterText: counter.text
    property alias infoPanelIcon: infoPanelIcon

    Image {
        id: infoPanel_merged
        x: 0
        y: 0
        source: "assets/infoPanel_merged.png"
    }

    Text {
        id: counter
        color: Colors.currentTheme.black
        text: qsTr("000")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.leftMargin: 31
        anchors.rightMargin: 29
        anchors.topMargin: 60
        anchors.bottomMargin: 20
        font.pixelSize: 30
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.DemiBold
        font.family: "Exo"
    }

    Text {
        id: panelTitle
        color: Colors.currentTheme.black
        text: qsTr("HEART RATE")
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.leftMargin: 14
        anchors.rightMargin: 12
        anchors.topMargin: 37
        anchors.bottomMargin: 55
        font.pixelSize: 16
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Medium
        font.family: "Exo"
    }

    Image {
        id: infoPanelIcon
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.leftMargin: 49
        anchors.rightMargin: 49
        anchors.topMargin: 16
        anchors.bottomMargin: 86
        source: "assets/infoPanelIcon.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"d7906bba-dc5f-5dcb-a6fc-4a791f4eb8b8"}D{i:1;uuid:"09094205-aca0-5a21-91ed-c70946ea02e9"}
D{i:2;uuid:"e9848834-6fb1-52a2-82c2-dfa02c96de91"}D{i:3;uuid:"ace4b238-f653-5858-a239-0b208dacbc9f"}
D{i:4;uuid:"dd4c0414-51d1-58bc-be46-0488e2413e9b"}
}
##^##*/

