import QtQuick
import QtQuick.Controls
import Generated.DesignSystem

Button {
    id: modeSwitch
    width: 88
    height: 28
    property alias autoHandle: autoHandle
    property alias manualHandle: manualHandle
    checkable: true
    background: Item {}

    Rectangle {
        id: background1
        color: Colors.currentTheme.black
        radius: 20
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
    }

    Rectangle {
        id: autoHandle
        height: 24
        visible: modeSwitch.checked
        color: Colors.currentTheme.secondary
        radius: 20
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.leftMargin: 46
        anchors.rightMargin: 2
        anchors.topMargin: 2
    }

    Rectangle {
        id: manualHandle
        height: 24
        visible: !modeSwitch.checked
        color: Colors.currentTheme.secondary
        radius: 20
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.leftMargin: 2
        anchors.rightMargin: 46
        anchors.topMargin: 2
    }

    Image {
        id: autoModeIcon
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.leftMargin: 57
        anchors.rightMargin: 13
        anchors.topMargin: 5
        anchors.bottomMargin: 5
        source: "assets/autoModeIcon.png"
    }

    Image {
        id: manualModeIcon
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.leftMargin: 13
        anchors.rightMargin: 57
        anchors.topMargin: 5
        anchors.bottomMargin: 5
        source: "assets/manualModeIcon.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"f8e699f5-63e9-55b8-bdaf-ff5998d72e8b"}D{i:1;uuid:"29300941-aaa5-5444-b515-6e15037da9eb"}
D{i:2;uuid:"d2f2b4db-7191-58d5-b0f9-b1fb2f37659f"}D{i:3;uuid:"6c0ff5c2-fe5f-5b19-a106-ea279a0faf39"}
D{i:4;uuid:"11816c57-6d6e-58f0-8b01-f17deadd60ae"}D{i:5;uuid:"9d79e41e-1708-5267-aeb0-29e1bbb4cee3"}
}
##^##*/

