# About the project

This is a demo project to showcase full workflow from Figma to Qt for MCU via Qt Design Studio.

The Figma project [McuDemo.fig](/examples/TreadmillMcuDemo/figmadesign/McuDemo.fig) is already fine-tuned to make the conversion easy and it shows all the best practises for making a great user experience when doing a Qt for MCU project with Qt Design Studio. Also included is an example export [McuDemo.qtbridge](/examples/TreadmillMcuDemo/figmadesign/McuDemo.qtbridge) from Figma via the Qt Bridge for Figma plugin.

Project has been tested with Qt Design Studio 4.7 and Qt for MCUs 2.9.1 on STM32F7 hardware.

## How to run from an empty DS project

1. Open [McuDemo.fig](/examples/TreadmillMcuDemo/figmadesign/McuDemo.fig) in figma (or just grab the example import file [McuDemo.qtbridge](/examples/TreadmillMcuDemo/figmadesign/McuDemo.qtbridge) and skip to step 5.)

2. Get Qt Bridge for Figma from Figma's main menu -> Plugins -> Manage plugins

3. Export with design with the bridge

4. Create a new MCU project in DS

5. Import .qtbridge contents to DS assets

6. Getting the Figma generated design system to work in DS:

7. Add a .qmlproject file to Generated/DesignSystem

Here's an example
```

    -an example DesignSystem.qmlproject:
        import QmlProject 1.3
        Project {
            MCU.Module {
                uri: "Generated.DesignSystem"
            }
            QmlFiles {
                files: [
                    "Colors.qml",
                    "ColorsTheme.qml"
                ]
            }
        }
```
7. Add "Generated/DesignSystem/DesignSystem.qmlproject" to ModuleFiles in the DS project .qmlproject file

Here's an example:
```
ModuleFiles {
    files: [
        "imports/Constants/constants_module.qmlproject",
        "Generated/DesignSystem/DesignSystem.qmlproject"
    ]
}
```

8. Add "." to importPaths in the DS project .qmlproject file

```
importPaths: [ "imports", "." ]
```

9. Running in Qt Creator:
```
-choose MCU kit
-open CMakeLists.txt
-ignore (or fix) the warnings, shouldn't use the directory property on MCU projects.
```
